#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hedgehog-classes
version:              0.2.5.3
visibility:           public
id:                   hedgehog-classes-0.2.5.3-Cr8UDmp7Q7eAJrJMAHdbVx
key:                  hedgehog-classes-0.2.5.3-Cr8UDmp7Q7eAJrJMAHdbVx
license:              BSD-3-Clause
copyright:            2020 chessai
maintainer:           chessai1996@gmail.com
author:               chessai
homepage:             https://github.com/hedgehogqa/haskell-hedgehog-classes
synopsis:             Hedgehog will eat your typeclass bugs
description:
    This library provides Hedgehog properties to ensure
    that typeclass instances adhere to the set of laws
    that they are supposed to. There are other libraries
    that do similar things, such as `genvalidity-hspec` and `checkers`.
    This library differs from other solutions by not introducing any
    new typeclasses that the user needs to learn, and otherwise minimal
    API overhead.

    This library is directly inspired by `quickcheck-classes`.

category:             Testing
abi:                  876a98951f017636f88df6a18c5e9d27
exposed:              True
exposed-modules:      Hedgehog.Classes
hidden-modules:
    Hedgehog.Classes.Alternative Hedgehog.Classes.Applicative
    Hedgehog.Classes.Arrow Hedgehog.Classes.Bifoldable
    Hedgehog.Classes.Bifunctor Hedgehog.Classes.Binary
    Hedgehog.Classes.Bitraversable Hedgehog.Classes.Bits
    Hedgehog.Classes.Category Hedgehog.Classes.Common
    Hedgehog.Classes.Common.ApTrans Hedgehog.Classes.Common.Bottom
    Hedgehog.Classes.Common.Compat Hedgehog.Classes.Common.Equation
    Hedgehog.Classes.Common.Func Hedgehog.Classes.Common.Gen
    Hedgehog.Classes.Common.IO Hedgehog.Classes.Common.Laws
    Hedgehog.Classes.Common.Property Hedgehog.Classes.Common.PP
    Hedgehog.Classes.Comonad Hedgehog.Classes.Contravariant
    Hedgehog.Classes.Enum Hedgehog.Classes.Eq Hedgehog.Classes.Foldable
    Hedgehog.Classes.Functor Hedgehog.Classes.Generic
    Hedgehog.Classes.Integral Hedgehog.Classes.Json
    Hedgehog.Classes.Monad Hedgehog.Classes.MonadIO
    Hedgehog.Classes.MonadPlus Hedgehog.Classes.MonadZip
    Hedgehog.Classes.Monoid Hedgehog.Classes.MVector
    Hedgehog.Classes.Ord Hedgehog.Classes.Prim
    Hedgehog.Classes.Semigroup Hedgehog.Classes.Semiring
    Hedgehog.Classes.Show Hedgehog.Classes.ShowRead
    Hedgehog.Classes.Storable Hedgehog.Classes.Traversable

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hedgehog-classes-0.2.5.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hedgehog-classes-0.2.5.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hedgehog-classes
hs-libraries:         HShedgehog-classes-0.2.5.3-Cr8UDmp7Q7eAJrJMAHdbVx
depends:
    aeson-2.1.1.0-6f0SUJ6dh2u49Oyg8vjVqb base-4.15.1.0 binary-0.8.8.0
    comonad-5.0.8-HfmAOPlFNu29hdSY8Glwgr containers-0.6.4.1
    hedgehog-1.1.2-K6F7P0OwObR5HJ5MEMMgkh
    pretty-show-1.10-30ddFMLbEm1DQ0GcmAHjnN
    primitive-0.7.4.0-9TVgKpsxQ9UKsTlz0zg7yv
    semirings-0.6-7QPC6g0PR6ZI4OeLvycFEY
    silently-1.2.5.3-H31j5J4Oc25zA6fMk6qKZ transformers-0.5.6.2
    vector-0.13.0.0-C4IY0qsV06C5Tx1gtETdzw
    wl-pprint-annotated-0.1.0.1-JCb3EUvh3Dj9PAY3FsllrE

haddock-interfaces:
    /usr/share/doc/haskell-hedgehog-classes/html/hedgehog-classes.haddock

haddock-html:         /usr/share/doc/haskell-hedgehog-classes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

